org.apache.poi.xslf.usermodel

## Class XSLFDrawing

- java.lang.Object
- - org.apache.poi.xslf.usermodel.XSLFDrawing

-     @Beta
      public class XSLFDrawing
      extends java.lang.Object

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addChart(java.lang.String rID, java.awt.geom.Rectangle2D rect2D)` This method will add chart into slide's graphic frame
    `XSLFAutoShape` | `createAutoShape()`
    `XSLFConnectorShape` | `createConnector()`
    `XSLFFreeformShape` | `createFreeform()`
    `XSLFGroupShape` | `createGroup()`
    `XSLFObjectShape` | `createOleShape(java.lang.String pictureRel)`
    `XSLFPictureShape` | `createPicture(java.lang.String rel)`
    `XSLFTable` | `createTable()`
    `XSLFTextBox` | `createTextBox()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### createAutoShape

          public XSLFAutoShape createAutoShape()

    - #### createFreeform

          public XSLFFreeformShape createFreeform()

    - #### createTextBox

          public XSLFTextBox createTextBox()

    - #### createConnector

          public XSLFConnectorShape createConnector()

    - #### createGroup

          public XSLFGroupShape createGroup()

    - #### createPicture

          public XSLFPictureShape createPicture(java.lang.String rel)

    - #### createTable

          public XSLFTable createTable()

    - #### addChart

          public void addChart(java.lang.String rID,
                               java.awt.geom.Rectangle2D rect2D)

      This method will add chart into slide's graphic frame
      Parameters:
        `rID` - relation id of chart
        `rect2D` - Chart Bounding values
      Since:
        POI 4.1.0

    - #### createOleShape

          public XSLFObjectShape createOleShape(java.lang.String pictureRel)

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.